Issue #2348 has been updated by mame (Yusuke Endoh).


Three points:

* If RBTree gem is bundled, we will do so by using the (recently-established) framework of bundled gems.
* The current framework of bundled gems does not support extension library (maybe).  We need to improve the framework first.
* After that, we must decide if RBTree gem should be bundled or not. 

----------------------------------------
Feature #2348: RBTree Should be Added to the Standard Library
https://bugs.ruby-lang.org/issues/2348#change-67500

* Author: JEG2 (James Gray)
* Status: Assigned
* Priority: Normal
* Assignee: matz (Yukihiro Matsumoto)
* Target version: next minor
----------------------------------------
=begin
 The merits of this library have been discussed on Ruby core, with the strengths best summarized by this post:
 
 http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/26602
 
 RBTree has now been fixed to run on Ruby 1.9:
 
 http://github.com/skade/rbtree
 
 I think we should now give serious consideration to bringing it into the standard library.
=end




-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>